コンテンツへスキップ

Lynx

統合

モデルID bytedance/lynx
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bytedance/lynx?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $3.038 3,038 APIクレジット · ≈ ₽320.40 実行前にファイルを計測します このページで実行

APIキーを取得
ByteDance 画像から動画 720pまで #image-to-video#subject

被写体の同一性を維持する画像から動画への変換。480pから720p、9から81フレームに対応

ByteDance · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

動画生成を指示するテキスト指示。

•必須 image_url
ファイルをドロップ、または

動画生成に使用する被写体画像のURL。

resolution デフォルト 720p

出力動画の解像度。480p、580p、720pから選択します。

aspect_ratio デフォルト 16:9

出力動画のアスペクト比。16:9、9:16、1:1から選択します。

デフォルト 16

出力動画のフレームレート。フレーム per secondで、5〜30に制限されます。

デフォルト 81

出力動画のフレーム数。9〜100に制限されます。

詳細設定 negative_prompt · num_inference_steps · ip_scale · strength · guidance_scale · guidance_scale_2 · seed · enable_safety_checker
デフォルト Bright tones, overexp...

生成で避けるように、このネガティブプロンプトに不要な動画内容を記述します。

デフォルト 50

サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。

デフォルト 1

参照画像に描かれた人物または被写体の同一性を動画でどの程度忠実に保持するかを設定します。

デフォルト 1

スケールを設定して、生成動画が参照画像をどの程度利用するかを調整します。

デフォルト 5

Classifier-free guidanceの強度。スケールを上げるほどプロンプトへの一致度が高まる一方、品質低下の可能性があります。

デフォルト 2

動画生成の画像ガイダンススケール。参照画像への忠実度と品質のバランスを取ります。値を上げると一致度が高まりますが、品質が低下する可能性があります。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/bytedance/lynx?wait=20 見積もり → $3.038
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bytedance/lynx?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Lynxについて

テキスト `prompt` に従って、被写体画像(`image_url`)をアニメーション化します。`ip_scale` と `strength`(いずれも 0 から 2)で本人性の保持度を調整できます。解像度は 480p、580p、720p、アスペクト比は 16:9、9:16、1:1、`num_frames` は 5 から 30 フレーム/秒で 9 から 81 の範囲です。ネガティブプロンプト、2つのガイダンススケール、1 から 75 の推論ステップ、シードにも対応します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
動画生成に使用する被写体画像のURL。
prompt必須
型string
動画生成を指示するテキスト指示。
negative_prompt任意
型string
デフォルトBright tones, overexposed, blurred background, static, subtitles, style, works, paintings, images, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, misshapen limbs, fused fingers, still picture, messy background, three legs, many people in the background, walking backwards
生成で避けるように、このネガティブプロンプトに不要な動画内容を記述します。
num_inference_steps任意
型integer
デフォルト50
1 – 75
サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
resolution任意
型enum
デフォルト720p
480p580p720p
出力動画の解像度。480p、580p、720pから選択します。
aspect_ratio任意
型enum
デフォルト16:9
16:99:161:1
出力動画のアスペクト比。16:9、9:16、1:1から選択します。
ip_scale任意
型number
デフォルト1
0 – 2
参照画像に描かれた人物または被写体の同一性を動画でどの程度忠実に保持するかを設定します。
strength任意
型number
デフォルト1
0 – 2
スケールを設定して、生成動画が参照画像をどの程度利用するかを調整します。
frames_per_second任意
型integer
デフォルト16
5 – 30
出力動画のフレームレート。フレーム per secondで、5〜30に制限されます。
guidance_scale任意
型number
デフォルト5
1 – 20
Classifier-free guidanceの強度。スケールを上げるほどプロンプトへの一致度が高まる一方、品質低下の可能性があります。
guidance_scale_2任意
型number
デフォルト2
0 – 10
動画生成の画像ガイダンススケール。参照画像への忠実度と品質のバランスを取ります。値を上げると一致度が高まりますが、品質が低下する可能性があります。
num_frames任意
型integer
デフォルト81
9 – 81
出力動画のフレーム数。9〜100に制限されます。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/lynx",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3038,
    "usd": "3.038",
    "charged": 3038,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成された動画ファイル。
seed
integer生成時に使用するシード値。

その他のモデル: 画像から動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bytedance/lynx.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt